Get Skylight

Skylight and Rails 5

If you've been paying attention, you're probably aware that Rails 5.0.0-beta1 has been released. You may be wondering if Skylight works with it. The answer is yes!

For the last year, as part of our massive test suite, we've been running tests against Rails edge. (We also run against Grape and Sinatra edge.) This means that we've always been testing Skylight against the latest versions of these gems.

When we heard the Rails 5 beta was out, we weren't worried, because we knew everything would already work! All we had to do was make a few tweaks to our test suite to properly handle the Rails repo graduating to beta status.

So anyway, I wish I had more exciting to say here, but all I can say is, "it just works!" When the next version of Rails comes out, we'll be ready for that too :)